%define majver 0.52
%define libname %mklibname %{name} %{majver}
%define libdevel %{libname}-devel

Summary:	A development library for text mode user interfaces
Name:		newt
Version:	0.52.19
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://fedorahosted.org/newt/
Source0:	ttps://fedorahosted.org/releases/n/e/newt/%{name}-%{version}.tar.xz
Patch0:		newt-0.52.19-slang-include.patch
Patch1: 	newt-0.52.6-mdvconf.patch
Patch2: 	newt-0.51.4-fix-wstrlen-for-non-utf8-strings.patch
Patch3: 	newt-0.52.13-assorted-fixes.patch
BuildRequires:	glibc-static-devel
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	slang-devel
Requires:	slang
Provides:	python-snack
Provides:	whiptail
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libname}
Summary:	Newt windowing toolkit development files library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%libdevel
Summary:	Newt windowing toolkit development files
Group:		Development/Libraries
Requires:	slang-devel %{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Conflicts:	libnewt0.51-devel

%description -n %libdevel
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install newt-devel if you want to develop applications which will use newt.

%prep
%setup -q
%apply_patches

%build
%configure --with-gpm-support --without-tcl
%make
%make shared

%install
rm -rf %{buildroot}

install -d %{buildroot}
%makeinstall

ln -snf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{majver}

rm -rf %{buildroot}%{_libdir}/python{1.5,2.0,2.1,2.2}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%doc CHANGES
%{_libdir}/libnewt.so.*

%files -f %{name}.lang
%defattr (-,root,root)
%doc CHANGES COPYING
%{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*
%{_libdir}/python*/site-packages/*

%files -n %libdevel
%defattr (-,root,root)
%doc tutorial.sgml
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%changelog
* Tue Nov 08 2016 adrianomorselli <adrianomorselli> 0.52.19-1uplos2016
- rebuild

* Wed May 11 2016 bb <bb> 0.52.19-1pclos2016
- update

* Wed Nov 04 2014 bb <bb> 0.52.18-1pclos2014
- update

* Mon Oct 20 2014 bb <bb> 0.52.17-1pclos2014
- update

